<?php
/**
 * Default Values.
 *
 * @package Dolpa
 */

if (!function_exists('dolpa_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function dolpa_get_default_theme_options()
    {

        $dolpa_defaults = array();

        $dolpa_defaults['dolpa_category_colors'] = json_encode( array(
                array(
                    'category' => '1',
                    'category_color' => '#d0021b',
                ),
            )
        );

        // Options.
        $dolpa_defaults['global_sidebar_layout'] = 'right-sidebar';
        $dolpa_defaults['template_cover_sidebar_layout'] = 'no-sidebar';
        $dolpa_defaults['template_carousel_sidebar_settings'] = 'no-sidebar';
        $dolpa_defaults['template_slider_sidebar_settings'] = 'no-sidebar';
        $dolpa_defaults['dolpa_archive_layout'] = 'default';
        $dolpa_defaults['dolpa_pagination_layout'] = 'numeric';
        $dolpa_defaults['dolpa_footer_columns'] = 3;
        $dolpa_defaults['dolpa_copyright_text'] = esc_html__('All rights reserved.', 'dolpa');
        $dolpa_defaults['dolpa_header_search'] = 1;
        $dolpa_defaults['dolpa_responsive_menu'] = 1;
        $dolpa_defaults['dolpa_primary_menu'] = 1;
        $dolpa_defaults['dolpa_heading_weight'] = '400';
        $dolpa_defaults['dolpa_heading_case'] = 'normal';
        $dolpa_defaults['dolpa_heading_language'] = 'latin';
        $dolpa_defaults['dolpa_related_post'] = 1;
        $dolpa_defaults['dolpa_related_section_title'] = esc_html__('Related Post', 'dolpa');
        $dolpa_defaults['theme_navigation_type'] = 'normal-navigation';
        $dolpa_defaults['dolpa_single_post_layout'] = 'layout-1';
        $dolpa_defaults['dolpa_post_author'] = 1;
        $dolpa_defaults['dolpa_post_date'] = 1;
        $dolpa_defaults['dolpa_post_category'] = 1;
        $dolpa_defaults['dolpa_post_tags'] = 1;
        $dolpa_defaults['dolpa_header_overlay'] = 0;
        $dolpa_defaults['dolpa_template_header_overlay'] = 0;
        $dolpa_defaults['dolpa_header_layout'] = 'layout-default';
        $dolpa_defaults['ed_footer_copyright'] = 1;
        $dolpa_defaults['template_aside_metro_banner_ed'] = 0;
        $dolpa_defaults['template_aside_lateral_banner_ed'] = 0;
        $dolpa_defaults['template_aside_default_banner_ed'] = 0;
        $dolpa_defaults['ed_preloader'] = 1;
        $dolpa_defaults['ed_template_cover_banner'] = 1;
        $dolpa_defaults['ed_template_carousel_banner'] = 1;
        $dolpa_defaults['ed_template_slider_banner'] = 1;
        $dolpa_defaults['ed_template_carousel_arrow'] = 1;
        $dolpa_defaults['ed_template_carousel_dots'] = 0;
        $dolpa_defaults['ed_template_carousel_autoplay'] = 1;
        $dolpa_defaults['ed_template_slider_arrows'] = 1;
        $dolpa_defaults['ed_template_slider_dots'] = 0;
        $dolpa_defaults['ed_template_slider_autoplay'] = 1;
        $dolpa_defaults['ed_site_title'] = 1;
        $dolpa_defaults['dolpa_ed_footer_scroll_top_button'] = 1;
        
        $dolpa_defaults['dolpa_primary_color'] = '#fff';
        $dolpa_defaults['dolpa_secondary_color'] = '#d0021b';
        $dolpa_defaults['dolpa_color_schema'] = 'default';
        
        $dolpa_defaults['default_bg_color'] = '#fafafa';
        $dolpa_defaults['default_primary_color'] = '#007C89';
        $dolpa_defaults['default_secondary_color'] = '#1A1B1F';
        $dolpa_defaults['default_tertiary_color'] = '#d0021b';
        $dolpa_defaults['default_text_color'] = '#1A1B1F';

        $dolpa_defaults['fancy_bg_color'] = '#05234F';
        $dolpa_defaults['fancy_primary_color'] = '#10559A';
        $dolpa_defaults['fancy_secondary_color'] = '#34b8b5';
        $dolpa_defaults['fancy_tertiary_color'] = '#E9513D';
        $dolpa_defaults['fancy_text_color'] = '#FFFFFF';

        $dolpa_defaults['dark_bg_color'] = '#000000';
        $dolpa_defaults['dark_primary_color'] = '#654990';
        $dolpa_defaults['dark_secondary_color'] = '#9f60ff';
        $dolpa_defaults['dark_tertiary_color'] = '#ffca05';
        $dolpa_defaults['dark_text_color'] = '#FFFFFF';

        $dolpa_defaults['shady_bg_color'] = '#fb7268';
        $dolpa_defaults['shady_primary_color'] = '#153151';
        $dolpa_defaults['shady_secondary_color'] = '#000000';
        $dolpa_defaults['shady_tertiary_color'] = '#155143';
        $dolpa_defaults['shady_text_color'] = '#fff';

        $dolpa_defaults['ed_header_search_recent_posts']             = 1;
        $dolpa_defaults['ed_header_search_top_category']             = 1;
        $dolpa_defaults['recent_post_title_search']                 = esc_html__('Recent Post','dolpa');
        $dolpa_defaults['top_category_title_search']                 = esc_html__('Top Category','dolpa');

        // Pass through filter.
        $dolpa_defaults = apply_filters('dolpa_filter_default_theme_options', $dolpa_defaults);

        return $dolpa_defaults;

    }

endif;
