<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dolpa
 * @since 1.0.0
 */
$dolpa_default = dolpa_get_default_theme_options();
$dolpa_post_layout = get_post_meta(get_the_ID(), 'dolpa_post_layout', true);
$dolpa_ed_feature_image = get_post_meta(get_the_ID(), 'dolpa_ed_feature_image', true);

if( is_page() ) {
    $dolpa_post_layout = get_post_meta(get_the_ID(), 'dolpa_page_layout', true);
}

if( $dolpa_post_layout == '' || $dolpa_post_layout == 'global-layout' ){
    $dolpa_post_layout = get_theme_mod('dolpa_single_post_layout', $dolpa_default['dolpa_single_post_layout']);
}

$dolpa_ed_post_views = get_post_meta(get_the_ID(), 'dolpa_ed_post_views', true);
$dolpa_ed_post_read_time = get_post_meta(get_the_ID(), 'dolpa_ed_post_read_time', true);
$dolpa_ed_post_like_dislike = get_post_meta(get_the_ID(), 'dolpa_ed_post_like_dislike', true);
$dolpa_ed_post_author_box = get_post_meta(get_the_ID(), 'dolpa_ed_post_author_box', true);
$dolpa_ed_post_social_share = get_post_meta(get_the_ID(), 'dolpa_ed_post_social_share', true);
$dolpa_ed_post_reaction = get_post_meta(get_the_ID(), 'dolpa_ed_post_reaction', true);


dolpa_disable_post_views();
dolpa_disable_post_like_dislike();

if( $dolpa_ed_post_read_time ) {

    dolpa_disable_post_read_time();

}

if ($dolpa_ed_post_author_box) {
    dolpa_disable_post_author_box();
}

if ($dolpa_ed_post_reaction) {
    dolpa_disable_post_reaction();
} ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php if( has_post_thumbnail() ){

        if ( empty( $dolpa_ed_feature_image ) && $dolpa_post_layout != 'layout-2' && !is_page_template('templates/template-cover.php') ) { ?>

            <div class="post-thumbnail">
                <?php dolpa_post_thumbnail(); ?>
            </div>

        <?php
        }
    

    }

    if( is_singular() && $dolpa_post_layout != 'layout-2' ){ ?>

        <header class="entry-header">

            <?php
            if ('post' === get_post_type()) { ?>

                <div class="entry-meta">

                    <?php dolpa_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>

                </div>

            <?php } ?>

            <h1 class="entry-title entry-title-large">

                <?php the_title(); ?>
                
            </h1>

        </header>

    <?php }

    if( $dolpa_post_layout != 'layout-2' && is_single() && 'post' === get_post_type() ){ ?>

        <div class="entry-meta">

            <?php
            dolpa_posted_by();
            dolpa_posted_on();
            if( !$dolpa_ed_post_views ){
                dolpa_post_view_count();
            }
            ?>

        </div>

    <?php } ?>

    <div class="post-content-wrap">

        <?php if (is_singular() && empty($dolpa_ed_post_social_share) && class_exists('Booster_Extension_Class') && 'post' === get_post_type()) { ?>

            <div class="post-content-share">
                <?php echo do_shortcode('[booster-extension-ss layout="layout-1" status="enable"]'); ?>
            </div>

        <?php } ?>

        <div class="post-content">

            <div class="entry-content">

                <?php
                the_content(sprintf(
                /* translators: %s: Name of current post. */
                    wp_kses(__('Continue reading %s <span class="meta-nav">&rarr;</span>', 'dolpa'), array('span' => array('class' => array()))),
                    the_title('<span class="screen-reader-text">"', '"</span>', false)
                ));

                if( !class_exists('Booster_Extension_Class') || is_page() ):

                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'dolpa'),
                        'after' => '</div>',
                    ));

                endif; ?>

            </div>

            <?php
            if (is_singular() && 'post' === get_post_type()) { ?>

                <div class="entry-footer">

                    <div class="entry-meta">
                        <?php dolpa_post_like_dislike(); ?>
                    </div>

                    <div class="entry-meta">
                        <?php dolpa_entry_footer($cats = false, $tags = true, $edits = true); ?>
                    </div>

                </div>

            <?php } ?>

        </div>

    </div>
    
</article>