<?php
/**
 * Header Layout 1
 *
 * @package Dolpa
 */
$dolpa_default = dolpa_get_default_theme_options();
$dolpa_responsive_menu = get_theme_mod('dolpa_responsive_menu', $dolpa_default['dolpa_responsive_menu']);
if( $dolpa_responsive_menu ){
    $header_class = 'enabled-responsive-menu';
}else{
    $header_class = 'disabled-responsive-menu';
}
?>

<header id="site-header" class="site-header-layout header-layout-default <?php echo esc_attr( $header_class ) ?>" role="banner">
    <div class="header-navbar">
        <div class="vertical-wrapper">
            <div class="vertical-wrapper-inner">

                <div class="navbar-item navbar-item-top">

                    <div class="header-titles">
                        <?php
                        dolpa_site_identity();
                        ?>
                    </div><!-- .header-titles -->

                    <div class="navbar-controls hidden-md-screen hidden-lg-screen hide-no-js">
                        <?php
                        $dolpa_default = dolpa_get_default_theme_options();
                        $dolpa_header_search = get_theme_mod( 'dolpa_header_search', $dolpa_default['dolpa_header_search'] );
                        if( $dolpa_header_search ){ ?>
                            <button type="button" class="navbar-control button-style button-transparent navbar-control-search aside-search-js"><?php dolpa_the_theme_svg('search'); ?></button>
                        <?php } ?>

                        <button type="button" class="navbar-control button-style button-transparent navbar-control-offcanvas">
                            <span class="bars">
                                <span class="bar"></span>
                                <span class="bar"></span>
                                <span class="bar"></span>
                            </span>
                        </button>
                    </div>

                </div><!-- .navbar-item-top -->

                <div class="navbar-item navbar-item-middle hidden-sm-screen hidden-xs-screen hidden-xxs-screen">
                    <div class="offcanvas-item offcanvas-minicart">
                        <?php dolpa_header_mini_cart(); ?>
                    </div>

                    <div class="offcanvas-item offcanvas-search">
                        <?php
                        $dolpa_header_search = get_theme_mod( 'dolpa_header_search', $dolpa_default['dolpa_header_search'] );
                        if( $dolpa_header_search ){
                            get_search_form();
                        } ?>
                    </div>

                    <div id="primary-nav-offcanvas" class="offcanvas-item offcanvas-main-navigation">
                        <?php wp_nav_menu(array(
                            'theme_location' => 'dolpa-primary-menu',
                            'container' => 'div',
                            'container_class' => 'offcanvas-navigation-area',
                            'show_toggles' => true,
                        )); ?>
                    </div>
                        
                </div><!-- .navbar-item-middel -->

                <div class="navbar-item navbar-item-bottom hidden-sm-screen hidden-xs-screen hidden-xxs-screen">

                    <?php if (has_nav_menu('dolpa-social-menu')) { ?>

                        <div id="social-nav-offcanvas" class="offcanvas-item offcanvas-social-navigation">

                            <?php wp_nav_menu(array(
                                'theme_location' => 'dolpa-social-menu',
                                'link_before' => '<span class="screen-reader-text">',
                                'link_after' => '</span>',
                                'container' => 'div',
                                'container_class' => 'social-menu',
                                'depth' => 1,
                            )); ?>

                        </div>

                    <?php } ?>

                    <div class="offcanvas-item footer-credits">
                        <div class="footer-copyright">

                            <?php
                            $ed_footer_copyright = wp_kses_post( get_theme_mod( 'ed_footer_copyright', $dolpa_default['ed_footer_copyright'] ) );
                            $dolpa_copyright_text = wp_kses_post( get_theme_mod( 'dolpa_copyright_text', $dolpa_default['dolpa_copyright_text'] ) );
                            echo esc_html__('Copyright ', 'dolpa') . '&copy ' . absint(date('Y')) . ' <a href="' . esc_url(home_url('/')) . '" title="' . esc_attr(get_bloginfo('name', 'display')) . '" ><span>' . esc_html( get_bloginfo( 'name', 'display' ) ) . '. </span></a><br>' . esc_html( $dolpa_copyright_text );

                            if( $ed_footer_copyright ){
                                echo '<br>';
                                echo esc_html__('Theme: ', 'dolpa') . 'Dolpa ' . esc_html__('By ', 'dolpa') . '<a href="' . esc_url('https://www.themeinwp.com/theme/dolpa') . '"  title="' . esc_attr__('ThemeInWP', 'dolpa') . '" target="_blank" rel="author"><span>' . __('ThemeInWP. ', 'dolpa') . '</span></a>';
                                echo '<br>';
                                echo esc_html__('Powered by ', 'dolpa') . '<a href="' . esc_url('https://wordpress.org') . '" title="' . esc_attr__('WordPress', 'dolpa') . '" target="_blank"><span>' . esc_html__('WordPress.', 'dolpa') . '</span></a>';
                            }
                            ?>

                        </div>
                    </div>

                </div><!-- .navbar-item-bottom -->

            </div>
        </div><!-- .header-inner -->
    </div>
</header><!-- #site-header -->